RegionAttributesDataPolicy (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, enum: RegionAttributesDataPolicy

Package org.apache.geode.cache.configuration

# Enum Class RegionAttributesDataPolicy

java.lang.Object
java.lang.Enum<RegionAttributesDataPolicy>
org.apache.geode.cache.configuration.RegionAttributesDataPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<RegionAttributesDataPolicy>`, `Constable`

@Experimental public enum RegionAttributesDataPolicy extends Enum<RegionAttributesDataPolicy> implements Serializable

Java class for region-attributesData-policy.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="region-attributesData-policy">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="empty"/>
         <enumeration value="normal"/>
         <enumeration value="partition"/>
         <enumeration value="persistent-replicate"/>
         <enumeration value="preloaded"/>
         <enumeration value="replicate"/>
         <enumeration value="persistent-partition"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EMPTY`
  `NORMAL`
  `PARTITION`
  `PERSISTENT_PARTITION`
  `PERSISTENT_REPLICATE`
  `PRELOADED`
  `REPLICATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isPartition()`
  `boolean`
  `isPersistent()`
  `String`
  `value()`
  `static RegionAttributesDataPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RegionAttributesDataPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EMPTY

    public static final RegionAttributesDataPolicy EMPTY

  - ### NORMAL

    public static final RegionAttributesDataPolicy NORMAL

  - ### PARTITION

    public static final RegionAttributesDataPolicy PARTITION

  - ### PERSISTENT_REPLICATE

    public static final RegionAttributesDataPolicy PERSISTENT_REPLICATE

  - ### PRELOADED

    public static final RegionAttributesDataPolicy PRELOADED

  - ### REPLICATE

    public static final RegionAttributesDataPolicy REPLICATE

  - ### PERSISTENT_PARTITION

    public static final RegionAttributesDataPolicy PERSISTENT_PARTITION

- ## Method Details

  - ### values

    public static RegionAttributesDataPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RegionAttributesDataPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### isPersistent

    public boolean isPersistent()

  - ### isPartition

    public boolean isPartition()